CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SearchParameterSetEditingUI Class Reference

Class to create a user interface for editing SearchParameterSets. More...

## Public Member Functions
| __construct ($FormFieldName, $SearchParams=NULL)
| Create a UI for specifing edits to SearchParameterSets. More...
| DisplayAsTable ($TableId=NULL, $TableStyle=NULL)
| Display editing form elements enclosed in a. More...
| DisplayAsRows ()
| Display the table rows for the editing form, without the surrounding. More...
| GetValuesFromFormData ()
| Extract values from a dynamics field edit/modification form. More...
| SearchParameters ($SearchParams=NULL)
| Get/Set search parameters. More...
| MaxFieldLabelLength ($NewValue=NULL)
| Get/set the max number of characters a label of a field option list will be displayed. More...
| MaxValueLabelLength ($NewValue=NULL)
| Get/set the max number of characters a label of a value option list will be displayed. More...

## Detailed Description

Class to create a user interface for editing SearchParameterSets.

Definition at line 13 of file SearchParameterSetEditingUI.php.

## Constructor & Destructor Documentation

SearchParameterSetEditingUI::__construct | ( |  | $FormFieldName,
|  |  | $SearchParams = `NULL`
| ) |  |

Create a UI for specifing edits to SearchParameterSets.

Parameters

  string | $FormFieldName | HTML 'name' to use for <input> elements created by the UI. If this UI is incorporated into a form containing other input elements, they must have names that differ from this one.
  SearchParameterSet | $SearchParams | SearchParameterSet to display (OPTIONAL, uses an empty set if unspecified)

Definition at line 24 of file SearchParameterSetEditingUI.php.

References SPTSearchEngine\ConvertToDisplayParameters(), MetadataSchema\GetAllSchemas(), and MetadataSchema\MDFORDER_ALPHABETICAL.

## Member Function Documentation

SearchParameterSetEditingUI::DisplayAsRows | ( |  | ) |

Display the table rows for the editing form, without the surrounding.

.

Definition at line 80 of file SearchParameterSetEditingUI.php.

References StdLib\strpos(), and StdLib\substr().

Referenced by DisplayAsTable().

Here is the caller graph for this function:

SearchParameterSetEditingUI::DisplayAsTable | ( |  | $TableId = `NULL`,
|  |  | $TableStyle = `NULL`
| ) |  |

Display editing form elements enclosed in a.

Note that it still must be wrapped in a <form> that has a submit button.

Parameters

  string | $TableId | HTML identifier to use (OPTIONAL, default NULL).
  string | $TableStyle | CSS class to attach for this table (OPTIONAL, default NULL).

Definition at line 67 of file SearchParameterSetEditingUI.php.

References DisplayAsRows().

SearchParameterSetEditingUI::GetValuesFromFormData | ( |  | ) |

Extract values from a dynamics field edit/modification form.

Returns
  SearchParameterSet extracted from post data. If POST contains no data, an empty SearchParameterSet will be returned.

Definition at line 183 of file SearchParameterSetEditingUI.php.

References SPTSearchEngine\ConvertToDisplayParameters(), MetadataSchema\MDFTYPE_CONTROLLEDNAME, MetadataSchema\MDFTYPE_DATE, MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_NUMBER, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_PARAGRAPH, MetadataSchema\MDFTYPE_TEXT, MetadataSchema\MDFTYPE_TIMESTAMP, MetadataSchema\MDFTYPE_TREE, MetadataSchema\MDFTYPE_URL, and MetadataSchema\MDFTYPE_USER.

SearchParameterSetEditingUI::MaxFieldLabelLength | ( |  | $NewValue = `NULL` | ) |

Get/set the max number of characters a label of a field option list will be displayed.

Parameters

  int | $NewValue | Max length of a field option list's label. Use zero for no limit (OPTIONAL, default to no limit). If NULL is passed in, this function will not set a new max length of a field option list.

Returns
  Current maximum length of a field option list's label. Zero means no limit.

Definition at line 390 of file SearchParameterSetEditingUI.php.

Referenced by MaxValueLabelLength().

Here is the caller graph for this function:

SearchParameterSetEditingUI::MaxValueLabelLength | ( |  | $NewValue = `NULL` | ) |

Get/set the max number of characters a label of a value option list will be displayed.

Parameters

  int | $NewValue | Max length of a field option list's label. Use zero for no limit (OPTIONAL, default to no limit). If NULL is passed in, this function will not set a new max length of a value option list.

Returns
  Current maximum length of a value option list's label. Zero means no limit.

Definition at line 409 of file SearchParameterSetEditingUI.php.

References MaxFieldLabelLength(), MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_OPTION, and MetadataSchema\SCHEMAID_DEFAULT.

SearchParameterSetEditingUI::SearchParameters | ( |  | $SearchParams = `NULL` | ) |

Get/Set search parameters.

Parameters

  SearchParameterSet | null | $SearchParams | New setting (OPTIONAL)

Returns
  Current SearchParameterSet

Definition at line 370 of file SearchParameterSetEditingUI.php.

The documentation for this class was generated from the following file:

- interface/default/objects/SearchParameterSetEditingUI.php